Subject: Re: bug#65211: 30.0.50; threads and accept-process-output

From: Helmut Eller <[email-masked]>
Date: Thu, 10 Aug 2023 18:24:52 +0200

On Thu, Aug 10 2023, Robert Pluim wrote:

> Hmm. Maybe putting it in `deactivate_process' is better (not that Iʼve
> tested 😺)

That's for the maintainers to decide.  It seems to work too.  To me,
delete_read_fd feels like the appropriate place.

For symmetry, delete_write_fd should probably also do something with
.waiting_thread, but coming up with a test case for that is beyond my
understanding of this code.

Helmut